Subject: Re: Using GIT to store /etc (Or: How to make GIT store all file permission bits)

From: "Shawn O. Pearce" <[email-masked]>
Date: Tue, 9 Jan 2007 21:30:31 -0500

David Lang <[email-masked]> wrote:
> I want to have a tripwire-like system checking the files to make sure that 
> they haven't changed unexpectedly. the program I'm looking at notices inode 
> as well as timestamp and content changed.
> 
> when you checkout a file from git will it re-write/overwrite a file that 
> hasn't changed or will it realize there is no change and leave it as-is?

If the stat data is current it will leave it as-is.  You can force
the index to refresh with `git update-index --refresh` or by running
git status.
 
> does this answer change if there is a trigger on checkout (to change 
> permissions or otherwise manipulate the file)?

Only if the trigger does something in addition, like force overwrite
files.  But we don't have a checkout trigger.  So there's no trigger.

-- 
Shawn.